DROP TABLE IF EXISTS `t_announcement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_announcement` (
`idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
`title` varchar(255) NOT NULL DEFAULT '' COMMENT '标题',
`version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
`model` int(11) NOT NULL DEFAULT '0' COMMENT '型号 1:Android 2:ios',
`type` int(11) NOT NULL DEFAULT '0' COMMENT ' 1:停服公告 2:普通公告',
`is_effect` int(11) NOT NULL DEFAULT '0' COMMENT '是否生效',
`content` text  DEFAULT '' COMMENT '内容',
PRIMARY KEY (`idx`),
UNIQUE KEY `model_type` (`model`,`type`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;


DROP TABLE IF EXISTS `t_audit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_audit` (
`idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
`version` varchar(32) NOT NULL DEFAULT '' COMMENT '版本',
`model` int(11) NOT NULL DEFAULT '0' COMMENT '型号 1:Android 2:ios',
`is_auditing` int(11) NOT NULL DEFAULT '0' COMMENT '是否审核中',
PRIMARY KEY (`idx`),
UNIQUE KEY `model` (`model`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

CREATE TABLE `t_gift_type` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `gameid` int(11) NOT NULL DEFAULT '0' COMMENT '游戏id',
  `gift_type` int(11) NOT NULL DEFAULT '0' COMMENT 'typeid',
  `content` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'itemid:itemnum|itemid:itemnum',
  `limit` int(11) NOT NULL DEFAULT '0' COMMENT '0:单兑换码可多次使用;1:只能使用1次',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `idx_game_type` (`gameid`,`gift_type`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE `t_gift_code` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `gameid` int(11) NOT NULL DEFAULT '0' COMMENT '游戏id',
  `gift_code` varchar(60) CHARACTER SET utf8 NOT NULL COMMENT 'gift_code',
  `batch_id` int(11) NOT NULL DEFAULT '0' COMMENT '批次号',
  `gift_type` int(11) NOT NULL DEFAULT '0' COMMENT 'typeid',
  `limit` int(11) NOT NULL DEFAULT '0' COMMENT '0:单兑换码可多次使用;1:只能使用1次',
  `count` int(11) NOT NULL DEFAULT '0' COMMENT '已用次数',
  `content` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'itemid:itemnum|itemid:itemnum',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `idx_game_code` (`gameid`,`gift_code`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;