-- MySQL dump 10.14  Distrib 5.5.41-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: wheeldb
-- ------------------------------------------------------
-- Server version       5.5.41-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `version`
--

DROP TABLE IF EXISTS `version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `version` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT '版本号',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `version` (`version`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_param`
--

DROP TABLE IF EXISTS `t_param`;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_param` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `param_name` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '事件名',
  `param_val1` varchar(255) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '参数1',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  UNIQUE KEY `idx_param_name` (`param_name`),
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_user`
--

DROP TABLE IF EXISTS `t_user`;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_user` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'accountid',
  `uid` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'uid',
  `gid` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'gid',
  `openid` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'openid',
  `version` int(11) NOT NULL DEFAULT '0' COMMENT 'version',
  `avatar` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'avatar',
  `nickname` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'nickname',
  `invited` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'invited',
  `ext` varchar(255) CHARACTER SET utf8 COMMENT 'ext',
  `plat` int(11) NOT NULL DEFAULT '0' COMMENT 'plat',
  `plat_vip` int(11) NOT NULL DEFAULT '0' COMMENT 'plat_vip',
  `score` bigint(11) NOT NULL DEFAULT '0' COMMENT 'score',
  `dice` int(11) NOT NULL DEFAULT '0' COMMENT '骰子数',
  `spec_dice` int(11) NOT NULL DEFAULT '0' COMMENT '特殊骰子数(道具)',
  `last_present_dice_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后赠送骰子时间',
  `curr_grid` int(11) NOT NULL DEFAULT '0' COMMENT '当前格子',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  UNIQUE KEY `uk_account_id` (`account_id`),
  KEY `idx_openid` (`openid`),
  KEY `idx_invited` (`invited`),
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_invite_record`
--

DROP TABLE IF EXISTS `t_invite_record`;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_invite_record` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `inviter` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '邀请者',
  `invitee` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT '被邀请者',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  UNIQUE KEY `uk_inviter_invitee` (`inviter`, `invitee`),
  KEY `idx_inviter` (`inviter`),
  KEY `idx_invitee` (`invitee`),
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_chip`
--

DROP TABLE IF EXISTS `t_chip`;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_chip` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'accountid',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `item_num` int(11) NOT NULL DEFAULT '0' COMMENT '道具数量',
  `expiretime` int(11) NOT NULL DEFAULT '0' COMMENT '过期时间',
  `calc_time` int(11) NOT NULL DEFAULT '0' COMMENT '最后一次计算分数时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  KEY `idx_account_id` (`account_id`),
  KEY `idx_account_id_item_id` (`account_id`, `item_id`),
  KEY `idx_expiretime` (`expiretime`),
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_log`
--

DROP TABLE IF EXISTS `t_log`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_log` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `type` varchar(255) NOT NULL DEFAULT '' COMMENT '日志类型',
  `subtype` varchar(255) NOT NULL DEFAULT '' COMMENT '日志子类型',
  `param1` varchar(666) NOT NULL DEFAULT '' COMMENT 'param1',
  `param2` varchar(666) NOT NULL DEFAULT '' COMMENT 'param2',
  `param3` varchar(666) NOT NULL DEFAULT '' COMMENT 'param3',
  `param4` varchar(666) NOT NULL DEFAULT '' COMMENT 'param4',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  KEY `account_id_type_subtype` (`account_id`, `type`, `subtype`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_buff`
--

DROP TABLE IF EXISTS `t_buff`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_buff` (
  `idx` bigint NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `buff_id` int(11) NOT NULL DEFAULT '0' COMMENT 'buff id',
  `expires_time` int(11) NOT NULL DEFAULT '0' COMMENT '过期时间',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  KEY `idx_account_id` (`account_id`),
  KEY `idx_account_id_buff_id` (`account_id`, `buff_id`),
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `t_bag`
--

DROP TABLE IF EXISTS `t_bag`;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `t_bag` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `account_id` varchar(60) CHARACTER SET utf8 NOT NULL DEFAULT '' COMMENT 'accountid',
  `item_id` int(11) NOT NULL DEFAULT '0' COMMENT '道具id',
  `item_num` int(11) NOT NULL DEFAULT '0' COMMENT '道具数量',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  KEY `idx_account_id` (`account_id`),
  KEY `idx_account_id_item_id` (`account_id`, `item_id`),
  PRIMARY KEY (`idx`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

--
-- Table structure for table `t_inapp_order`
--

DROP TABLE IF EXISTS `t_inapp_order`;
/*!40101 SET @saved_cs_client      = @@character_set_client */;
/*!40101 SET character_set_client  = utf8 */;
CREATE TABLE `t_inapp_order` (
  `idx` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `order_id` varchar(60) NOT NULL DEFAULT '' COMMENT '订单id',
  `sp_order_id` varchar(64) DEFAULT NULL COMMENT '渠道方订单id',
  `account_id` varchar(60) NOT NULL DEFAULT '' COMMENT '账号id',
  `goods_id` int(11) NOT NULL DEFAULT '0' COMMENT '物品id',
  `status` int(11) NOT NULL DEFAULT '0' COMMENT 'status',
  `createtime` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `modifytime` int(11) NOT NULL DEFAULT '0' COMMENT '修改时间',
  PRIMARY KEY (`idx`),
  UNIQUE KEY `order_id` (`order_id`),
  KEY `account_id` (`account_id`),
  KEY `sp_order_id` (`sp_order_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10001 DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2015-08-19 18:52:06
