package system

import (
	v1 "main/api/v1"
	"main/middleware"

	"github.com/gin-gonic/gin"
)

type GiftCodeRoute struct {
}

func (this *GiftCodeRoute) InitGiftCodeRouter(priRouter *gin.RouterGroup, pubRouter *gin.RouterGroup) {
	api := v1.ApiGroupApp.SystemApiGroup.GiftCodeApi
	{
		group := priRouter.Group("giftcode")
		group.GET("gen", middleware.Permission("api/v1/giftcode/gen", api.GenCode))
		group.POST("list", middleware.Permission("api/v1/giftcode/list", api.List))
		group.GET("download", middleware.Permission("api/v1/giftcode/download", api.DownloadFile))
		group.POST("typelist", middleware.Permission("api/v1/giftcode/typelist", api.ListType))
		group.POST("addtype", middleware.Permission("api/v1/giftcode/addtype", api.AddType))
	}

	{
		group := pubRouter.Group("giftcode")
		group.POST("query", api.QueryCode)
		group.POST("use", api.UseCode)
	}
}
