package buff

import (
	"q5"
	"f5"
	"main/constant"
	"main/common"
	"main/service"
	"main/vo"
	"github.com/gin-gonic/gin"
)

type BuffApi struct {
}

func (this *BuffApi) List(c *gin.Context) {
	s := c.MustGet(constant.SESSION_KEY).(common.Session)
	if s == nil {
		return
	}
	err, buffs := service.Buff.List(s.GetAccountId())
	if err != nil {
		f5.RspErr(c, 500, "server internal error")
		return
	}
	rspObj := struct {
		vo.BaseVo
		Data []*vo.Buff `json:"data"`
	}{
		Data : []*vo.Buff{},
	}
	for _, m := range buffs {
		v := new(vo.Buff)
		v.FromModel(m)
		q5.AppendSlice(&rspObj.Data, v)
	}
	c.JSON(200, rspObj)
}
