package friend

import (
	"f5"
	"main/common"
	"main/constant"
	"main/service"
	"main/vo"
	"github.com/gin-gonic/gin"
)

type FriendApi struct {
}

func (this *FriendApi) List(c *gin.Context) {
	s := c.MustGet(constant.SESSION_KEY).(common.Session)
	if s == nil {
		return
	}
	err, friends := service.Friend.List(s.GetAccountId())
	if err != nil {
		f5.RspErr(c, 500, "server internal error")
		return
	}
	rspObj := struct {
		vo.BaseVo
		Data []*vo.Friend `json:"data"`
	}{
		Data: friends,
	}
	c.JSON(200, rspObj)
}
