package gm

import (
	"f5"
	"main/constant"
	"main/common"
	"main/vo"
	"main/service"
	"github.com/gin-gonic/gin"
	"strings"
)

type GmApi struct {
}

func (this *GmApi) ExecCmd(c *gin.Context) {
	s := c.MustGet(constant.SESSION_KEY).(common.Session)
	if s == nil {
		return
	}
	if f5.IsOnlineEnv() {
		return
	}
	reqJson := struct {
		Cmd string `json:"cmd"`
	}{}
	if err := c.ShouldBindJSON(&reqJson); err != nil {
		f5.RspErr(c, 401, "params parse error")
		return
	}
	cmds := strings.Split(reqJson.Cmd, " ")
	if len(cmds) <= 0 {
		f5.RspErr(c, 401, "cmd param error")
		return
	}
	rspObj := struct {
		vo.BaseVo
	}{}
	if len(cmds) > 1 {
		service.GM.DispatchCmd(s, cmds[0], cmds[1:len(cmds)], &rspObj.BaseVo)
	} else {
		service.GM.DispatchCmd(s, cmds[0], []string{}, &rspObj.BaseVo)
	}
	c.JSON(200, rspObj)
}
