package app

import (
	"f5"
	"main/mt"
	"main/constant"
)

type app struct {
	initCb        func()
	unInitCb      func()
}

func (this *app) GetPkgName() string {
	return "wheelserver"
}

func (this *app) GetHttpListenPort() int32 {
	return mt.Table.WheelServerCluster.GetHttpListenPort()
}

func (this *app) Run(initCb func(), unInitCb func()) {
	this.initCb = initCb
	this.unInitCb = unInitCb
	f5.Run(this)
}

func (this *app) Init() {
	f5.GetSysLog().Info("wheelserver start")
	f5.LoadMetaTable(mt.Table)
	this.registerDataSources()
	this.initCb()
}

func (this *app) UnInit() {
	this.unInitCb()
}

func (this *app) Update() {
}

func (this *app) registerDataSources() {
	f5.GetApp().RegisterOrmDb(
		constant.WHEEL_DB,
		mt.Table.WheelDb.GetById(0).GetHost(),
		mt.Table.WheelDb.GetById(0).GetPort(),
		mt.Table.WheelDb.GetById(0).GetUser(),
		mt.Table.WheelDb.GetById(0).GetPasswd(),
		mt.Table.WheelDb.GetById(0).GetDatabase(),
	)
}

func (this *app) HasTask() bool {
	return false
}
