package common

import (
)

type JwtUserInfo struct {
	Id string `json:"id"`
	Uid string `json:"uid"`
	Gid string `json:"gid"`
	OpenId string `json:"openid"`
	Version int32 `json:"version"`
	Plat int32 `json:"plat"`
	PlatVip int32 `json:"platVip"`
	Invited string `json:"invited"`
	Ext interface{} `json:"ext"`
	NickName string `json:"nickname"`
}

type App interface {
	Run(func(), func())
}

type RouterMgr interface {
}

type ModelMgr interface {
}

type ServiceMgr interface {
}

type Session interface {
	GetAccountId() string
	GetId() string
	GetUid() string
	GetGid() string
	GetOpenId() string
	GetVersion() int32
	GetPlat() int32
	GetPlatVip() int32
	GetInvited() string
	GetNickName() string
	IsGuest() int32
	GetExt() string
}

type SessionMgr interface {
	CreateGuestSession() Session
	CreateJwtSession(*JwtUserInfo) Session
}
