package model

import (
	"f5"
	"main/constant"
)

type Chip struct {
	Idx        int64  `gorm:"column:idx;AUTO_INCREMENT;primaryKey"`
	AccountId  string `gorm:"column:account_id"`
	ItemId     int32  `gorm:"column:item_id"`
	ItemNum    int32  `gorm:"column:item_num"`
	ExpireTime int32  `gorm:"column:expiretime;<-:create"`
	CalcTime   int32  `gorm:"column:calc_time"`
	CreateTime int32  `gorm:"column:createtime;<-:create"`
	ModifyTime int32  `gorm:"column:modifytime"`
}

func (this *Chip) TableName() string {
	return "t_chip"
}

func (this *Chip) Create() error {
	if result := f5.GetApp().GetOrmDb(constant.WHEEL_DB).Create(this); result.Error != nil {
		return result.Error
	}
	return nil
}

func (this *Chip) UpdateCalcTime() error {
	if result := f5.GetApp().GetOrmDb(constant.WHEEL_DB).Model(this).Select(
		"calc_time", "modifytime").Updates(this); result.Error != nil {
		return result.Error
	}
	return nil
}
