package model

import (
	"f5"
	"main/constant"
)

type Log struct {
	Idx        int64  `gorm:"column:idx;AUTO_INCREMENT;primaryKey"`
	AccountId  string `gorm:"column:account_id"`
	Type       string `gorm:"column:type;comment:item id"`
	SubType    string `gorm:"column:sub_type;comment:变化来源"`
	Param1     string `gorm:"column:param1;comment:变化量"`
	Param2     string `gorm:"column:param2;comment:变化后"`
	Param3     string `gorm:"column:param3"`
	Param4     string `gorm:"column:param4"`
	CreateTime int32  `gorm:"column:createtime;<-:create"`
	ModifyTime int32  `gorm:"column:modifytime"`
}

func (this *Log) TableName() string {
	return "t_log"
}

func (this *Log) Create() error {
	if result := f5.GetApp().GetOrmDb(constant.WHEEL_DB).Create(this); result.Error != nil {
		return result.Error
	}
	return nil
}
