package mt

import (
	"f5"
	"main/mtb"
	"math/rand"
	"sort"
)

type Reward struct {
	mtb.Reward
}

type RewardTable struct {
	f5.IdMetaTable[Reward]
}

func (this *RewardTable) RandScore() int32 {
	var total int32 = 0
	idweights := map[int32]int32{}
	idlist := []int32{}
	this.Traverse(func(item *Reward) bool {
		total += item.GetWeight()
		idweights[item.GetId()] = item.GetWeight()
		idlist = append(idlist, item.GetId())
		return true
	})

	sort.Slice(idlist, func(i int, j int) bool {
		return idlist[i] < idlist[j]
	})

	randweight := rand.Int31n(total)
	var randid int32 = 0
	var maxidweight int32 = 0
	for _, id := range idlist {
		idw := idweights[id]
		maxidweight += idw
		if randweight < maxidweight {
			randid = id
			break
		}
	}

	if randid > 0 {
		award := this.GetById(int64(randid))
		return award.RandScore()
	}

	return 0
}

func (this *Reward) Init1() {
	if this.GetReward1() <= 0 {
		panic("Reward.reward_1 config error")
	}
	if this.GetReward1() > this.GetReward1() {
		panic("Reward.reward_2 config error")
	}
}

func (this *Reward) RandScore() int32 {
	return int32(int(this.GetReward1()) + rand.Intn(int(this.GetReward2()-this.GetReward1())))
}
