package mtb

import (
        "f5"
)

type WheelServerCluster struct {
        instance_id int32
        http_listen_port int32

        _flags1_ uint64
        _flags2_ uint64
}

type WheelDb struct {
        host string
        port int32
        user string
        passwd string
        database string

        _flags1_ uint64
        _flags2_ uint64
}

type Web3ServiceCluster struct {
        url string

        _flags1_ uint64
        _flags2_ uint64
}

type Item struct {
        id int32
        level int32
        price_type int32
        item_type int32
        time int32
        produce_type int32
        produce int32
        accelerate_type int32
        accelerate_price int32
        price int32
        buff_list string

        _flags1_ uint64
        _flags2_ uint64
}

type Friend struct {
        id int32
        type_ int32
        reward_type int32
        reward int32

        _flags1_ uint64
        _flags2_ uint64
}

type Global struct {
        id int32
        type_ int32
        number int32

        _flags1_ uint64
        _flags2_ uint64
}

type Reward struct {
        id int32
        reward_1 int32
        reward_2 int32
        weight int32

        _flags1_ uint64
        _flags2_ uint64
}

type Task struct {
        id int32
        type_ int32
        condition int32
        param1 int32
        param2 int32
        reward_type int32
        reward int32

        _flags1_ uint64
        _flags2_ uint64
}

type Buff struct {
        buff_id int32
        buff_effect int32
        duration_time int32
        can_stack int32

        _flags1_ uint64
        _flags2_ uint64
}

type MapGrid struct {
        id int32
        reward string

        _flags1_ uint64
        _flags2_ uint64
}

type ShopGoods struct {
        shop_id int32
        goods_id int32
        item_id int32
        amount int32

        _flags1_ uint64
        _flags2_ uint64
}

type Config struct {
        shop_secret string

        _flags1_ uint64
        _flags2_ uint64
}

func (this *WheelServerCluster) GetInstanceId() int32 {
        return this.instance_id
}

func (this *WheelServerCluster) HasInstanceId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *WheelServerCluster) GetHttpListenPort() int32 {
        return this.http_listen_port
}

func (this *WheelServerCluster) HasHttpListenPort() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *WheelDb) GetHost() string {
        return this.host
}

func (this *WheelDb) HasHost() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *WheelDb) GetPort() int32 {
        return this.port
}

func (this *WheelDb) HasPort() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *WheelDb) GetUser() string {
        return this.user
}

func (this *WheelDb) HasUser() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *WheelDb) GetPasswd() string {
        return this.passwd
}

func (this *WheelDb) HasPasswd() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *WheelDb) GetDatabase() string {
        return this.database
}

func (this *WheelDb) HasDatabase() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Web3ServiceCluster) GetUrl() string {
        return this.url
}

func (this *Web3ServiceCluster) HasUrl() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Item) GetId() int32 {
        return this.id
}

func (this *Item) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Item) GetLevel() int32 {
        return this.level
}

func (this *Item) HasLevel() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Item) GetPriceType() int32 {
        return this.price_type
}

func (this *Item) HasPriceType() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Item) GetItemType() int32 {
        return this.item_type
}

func (this *Item) HasItemType() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Item) GetTime() int32 {
        return this.time
}

func (this *Item) HasTime() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Item) GetProduceType() int32 {
        return this.produce_type
}

func (this *Item) HasProduceType() bool {
        return (this._flags1_ & (uint64(1) << 9)) > 0
}

func (this *Item) GetProduce() int32 {
        return this.produce
}

func (this *Item) HasProduce() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Item) GetAccelerateType() int32 {
        return this.accelerate_type
}

func (this *Item) HasAccelerateType() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Item) GetAcceleratePrice() int32 {
        return this.accelerate_price
}

func (this *Item) HasAcceleratePrice() bool {
        return (this._flags1_ & (uint64(1) << 8)) > 0
}

func (this *Item) GetPrice() int32 {
        return this.price
}

func (this *Item) HasPrice() bool {
        return (this._flags1_ & (uint64(1) << 10)) > 0
}

func (this *Item) GetBuffList() string {
        return this.buff_list
}

func (this *Item) HasBuffList() bool {
        return (this._flags1_ & (uint64(1) << 11)) > 0
}

func (this *Friend) GetId() int32 {
        return this.id
}

func (this *Friend) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Friend) GetType() int32 {
        return this.type_
}

func (this *Friend) HasType() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Friend) GetRewardType() int32 {
        return this.reward_type
}

func (this *Friend) HasRewardType() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Friend) GetReward() int32 {
        return this.reward
}

func (this *Friend) HasReward() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Global) GetId() int32 {
        return this.id
}

func (this *Global) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Global) GetType() int32 {
        return this.type_
}

func (this *Global) HasType() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Global) GetNumber() int32 {
        return this.number
}

func (this *Global) HasNumber() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Reward) GetId() int32 {
        return this.id
}

func (this *Reward) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Reward) GetReward1() int32 {
        return this.reward_1
}

func (this *Reward) HasReward1() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Reward) GetReward2() int32 {
        return this.reward_2
}

func (this *Reward) HasReward2() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Reward) GetWeight() int32 {
        return this.weight
}

func (this *Reward) HasWeight() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Task) GetId() int32 {
        return this.id
}

func (this *Task) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Task) GetType() int32 {
        return this.type_
}

func (this *Task) HasType() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Task) GetCondition() int32 {
        return this.condition
}

func (this *Task) HasCondition() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Task) GetParam1() int32 {
        return this.param1
}

func (this *Task) HasParam1() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Task) GetParam2() int32 {
        return this.param2
}

func (this *Task) HasParam2() bool {
        return (this._flags1_ & (uint64(1) << 5)) > 0
}

func (this *Task) GetRewardType() int32 {
        return this.reward_type
}

func (this *Task) HasRewardType() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *Task) GetReward() int32 {
        return this.reward
}

func (this *Task) HasReward() bool {
        return (this._flags1_ & (uint64(1) << 7)) > 0
}

func (this *Buff) GetBuffId() int32 {
        return this.buff_id
}

func (this *Buff) HasBuffId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *Buff) GetBuffEffect() int32 {
        return this.buff_effect
}

func (this *Buff) HasBuffEffect() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *Buff) GetDurationTime() int32 {
        return this.duration_time
}

func (this *Buff) HasDurationTime() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *Buff) GetCanStack() int32 {
        return this.can_stack
}

func (this *Buff) HasCanStack() bool {
        return (this._flags1_ & (uint64(1) << 6)) > 0
}

func (this *MapGrid) GetId() int32 {
        return this.id
}

func (this *MapGrid) HasId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *MapGrid) GetReward() string {
        return this.reward
}

func (this *MapGrid) HasReward() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *ShopGoods) GetShopId() int32 {
        return this.shop_id
}

func (this *ShopGoods) HasShopId() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}

func (this *ShopGoods) GetGoodsId() int32 {
        return this.goods_id
}

func (this *ShopGoods) HasGoodsId() bool {
        return (this._flags1_ & (uint64(1) << 2)) > 0
}

func (this *ShopGoods) GetItemId() int32 {
        return this.item_id
}

func (this *ShopGoods) HasItemId() bool {
        return (this._flags1_ & (uint64(1) << 3)) > 0
}

func (this *ShopGoods) GetAmount() int32 {
        return this.amount
}

func (this *ShopGoods) HasAmount() bool {
        return (this._flags1_ & (uint64(1) << 4)) > 0
}

func (this *Config) GetShopSecret() string {
        return this.shop_secret
}

func (this *Config) HasShopSecret() bool {
        return (this._flags1_ & (uint64(1) << 1)) > 0
}


func (this *WheelServerCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.instance_id, "instance_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.http_listen_port, "http_listen_port", &this._flags1_, 3, kv)
}

func (this *WheelDb) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.host, "host", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.port, "port", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.user, "user", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.passwd, "passwd", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.database, "database", &this._flags1_, 5, kv)
}

func (this *Web3ServiceCluster) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.url, "url", &this._flags1_, 1, kv)
}

func (this *Item) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.level, "level", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.price_type, "price_type", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.item_type, "item_type", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.time, "time", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.produce_type, "produce_type", &this._flags1_, 9, kv)
        f5.ReadMetaTableField(&this.produce, "produce", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.accelerate_type, "accelerate_type", &this._flags1_, 7, kv)
        f5.ReadMetaTableField(&this.accelerate_price, "accelerate_price", &this._flags1_, 8, kv)
        f5.ReadMetaTableField(&this.price, "price", &this._flags1_, 10, kv)
        f5.ReadMetaTableField(&this.buff_list, "buff_list", &this._flags1_, 11, kv)
}

func (this *Friend) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.reward_type, "reward_type", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.reward, "reward", &this._flags1_, 4, kv)
}

func (this *Global) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.number, "number", &this._flags1_, 3, kv)
}

func (this *Reward) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.reward_1, "reward_1", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.reward_2, "reward_2", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.weight, "weight", &this._flags1_, 4, kv)
}

func (this *Task) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.type_, "type", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.condition, "condition", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.param1, "param1", &this._flags1_, 4, kv)
        f5.ReadMetaTableField(&this.param2, "param2", &this._flags1_, 5, kv)
        f5.ReadMetaTableField(&this.reward_type, "reward_type", &this._flags1_, 6, kv)
        f5.ReadMetaTableField(&this.reward, "reward", &this._flags1_, 7, kv)
}

func (this *Buff) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.buff_id, "buff_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.buff_effect, "buff_effect", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.duration_time, "duration_time", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.can_stack, "can_stack", &this._flags1_, 6, kv)
}

func (this *MapGrid) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.id, "id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.reward, "reward", &this._flags1_, 2, kv)
}

func (this *ShopGoods) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.shop_id, "shop_id", &this._flags1_, 1, kv)
        f5.ReadMetaTableField(&this.goods_id, "goods_id", &this._flags1_, 2, kv)
        f5.ReadMetaTableField(&this.item_id, "item_id", &this._flags1_, 3, kv)
        f5.ReadMetaTableField(&this.amount, "amount", &this._flags1_, 4, kv)
}

func (this *Config) LoadFromKv(kv map[string]interface{}) {
        f5.ReadMetaTableField(&this.shop_secret, "shop_secret", &this._flags1_, 1, kv)
}
