package inapp_shop

import (
	"f5"
	"main/middleware"
	"main/api/v1"
)

type InAppShopRouter struct{}

func (this *InAppShopRouter) InitRouter() {
	api := v1.ApiGroupApp.InAppShopApiGroup
	f5.GetApp().GetGinEngine().POST("/api/v1/inapp_shop/purchase",
		middleware.JwtAuth,
		api.InAppShopApi.Purchase)
	f5.GetApp().GetGinEngine().GET("/api/v1/inapp_shop/order/:order_id",
		middleware.JwtAuth,
		api.InAppShopApi.OrderInfo)
	f5.GetApp().GetGinEngine().POST("/api/v1/inapp_shop/callback",
		api.InAppShopApi.Callback)
}
