package router

import (
	"f5"
	"main/middleware"
	"main/router/activity"
	"main/router/chip"
	"main/router/friend"
	"main/router/item"
	"main/router/mission"
	"main/router/shop"
	"main/router/user"
	"main/router/bag"
	"main/router/buff"
	"main/router/gm"
	"main/router/inapp_shop"
)

type routerMgr struct {
	activity activity.RouterGroup
	chip chip.RouterGroup
	friend friend.RouterGroup
	item item.RouterGroup
	mission mission.RouterGroup
	shop shop.RouterGroup
	user user.RouterGroup
	bag bag.RouterGroup
	buff buff.RouterGroup
	gm gm.RouterGroup
	inappShop inapp_shop.RouterGroup
}

func (this *routerMgr) Init() {
	f5.GetApp().GetGinEngine().Use(middleware.Cors())
	this.activity.ActivityRouter.InitRouter()
	this.chip.ChipRouter.InitRouter()
	this.friend.FriendRouter.InitRouter()
	this.item.ItemRouter.InitRouter()
	this.mission.MissionRouter.InitRouter()
	this.shop.ShopRouter.InitRouter()
	this.user.UserRouter.InitRouter()
	this.bag.BagRouter.InitRouter()
	this.buff.BuffRouter.InitRouter()
	this.gm.GMRouter.InitRouter()
	this.inappShop.InAppShopRouter.InitRouter()

	f5.GetSysLog().Info("routerMgr.init")

}

func (this *routerMgr) UnInit() {

}
