package service

import (
	"f5"
	"main/constant"
	"main/model"
	"main/mt"
)

type buff struct {
}

func (this *buff) init() {
}

func (this *buff) unInit() {
}

func (this *buff) List(accountId string) (error, []*model.Buff) {
	nowTime := f5.GetApp().GetRealSeconds()
	buffs := []*model.Buff{}
	result := f5.GetApp().GetOrmDb(constant.WHEEL_DB).Table(new(model.Buff).TableName()).Where(
		"account_id = ? AND expires_time > ?", accountId, nowTime).Find(&buffs)
	return result.Error, buffs
}

func (this *buff) Add(accountId string, buffList []int32) {
	nowTime := int32(f5.GetApp().GetRealSeconds())
	for _, buffId := range buffList {
		buffMeta := mt.Table.Buff.GetById(int64(buffId))
		if buffMeta != nil {
			buffModel := new(model.Buff)
			isCreate := true
			if buffMeta.GetCanStack() == 1 {
				if err, found := buffModel.FindByBuffId(accountId, buffMeta.GetBuffId()); err == nil {
					isCreate = !found
				} else {
					continue
				}
			}
			if isCreate {
				buffModel.AccountId = accountId
				buffModel.BuffId = buffMeta.GetBuffId()
				buffModel.ExpiresTime = nowTime + buffMeta.GetDurationTime()
				buffModel.CreateTime = nowTime
				buffModel.ModifyTime = nowTime
				buffModel.Create()
			} else {
				if nowTime > buffModel.ExpiresTime {
					buffModel.ExpiresTime = nowTime + buffMeta.GetDurationTime()
				} else {
					buffModel.ExpiresTime += buffMeta.GetDurationTime()
				}
				buffModel.ModifyTime = nowTime
				buffModel.UpdateExpireTime()
			}
		}
	}
}

func (this *buff) HasBuffEffect(accountId string, buffEffect int32) (error, bool) {
	if err, buffs := this.List(accountId); err == nil {
		for _, v := range buffs {
			buffMeta := mt.Table.Buff.GetById(int64(v.BuffId))
			if buffMeta != nil && buffMeta.GetBuffEffect() == buffEffect {
				return nil, true
			}
		}
		return nil, false
	} else {
		return err, false
	}
}
