package service

import (
	"q5"
	"main/vo"
	"main/common"
)

type gm struct {
	cmdHash q5.ConcurrentMap[string, func(common.Session, string, []string, *vo.BaseVo)]
}

func (this *gm) init() {
	this.cmdHash.Store(".additem", this.addItem)
}

func (this *gm) unInit() {
}

func (this *gm) DispatchCmd(s common.Session, cmd string, params []string, baseVo *vo.BaseVo) {
	if cb, ok := this.cmdHash.Load(cmd); ok {
		(*cb)(s, cmd, params, baseVo)
	}
}

func (this *gm) addItem(s common.Session, cmd string, params []string, baseVo *vo.BaseVo) {
	if len(params) < 2 {
		return
	}
	Award.AddItem(s.GetAccountId(), q5.ToInt32(params[0]), q5.ToInt32(params[1]), baseVo)
}
