package session

import (
	"q5"
	"main/common"
	"main/vo"
)

type session struct {
	isGuest int32
	jwtUserInfo *common.JwtUserInfo
}

func (this *session) GetAccountId() string {
	return this.jwtUserInfo.OpenId
}

func (this *session) GetId() string {
	return this.jwtUserInfo.Id
}

func (this *session) GetUid() string {
	return this.jwtUserInfo.Uid
}

func (this *session) GetGid() string {
	return this.jwtUserInfo.Gid
}

func (this *session) GetOpenId() string {
	return this.jwtUserInfo.OpenId
}

func (this *session) GetVersion() int32 {
	return this.jwtUserInfo.Version
}

func (this *session) GetPlat() int32 {
	return this.jwtUserInfo.Plat
}

func (this *session) GetPlatVip() int32 {
	return this.jwtUserInfo.PlatVip
}

func (this *session) GetInvited() string {
	return this.jwtUserInfo.Invited
}

func (this *session) GetNickName() string {
	return this.jwtUserInfo.NickName
}

func (this *session) IsGuest() int32 {
	return this.isGuest
}

func (this *session) GetExt() string {
	return q5.EncodeJson(this.jwtUserInfo.Ext)
}

func (this *session) AddItem(int32, int32, *vo.BaseVo) {

}
