package vo

import (
	"f5"
	"main/model"
	"main/mt"
)

type Chip struct {
	ItemId int32 `json:"item_id"`
	LeftTime int32 `json:"left_time"`
	TotalTime int32 `json:"total_time"`
}

func (this *Chip) FromModel(m *model.Chip) {
	nowTime := f5.GetApp().GetRealSeconds()
	this.ItemId = m.ItemId
	this.LeftTime = m.ExpireTime - int32(nowTime)
	itemMeta := mt.Table.Item.GetById(int64(this.ItemId))
	if itemMeta != nil {
		this.TotalTime = itemMeta.GetTime() * 60
	}
}
