package vo

import (
	"q5"
)

type BaseVo struct {
	ErrCode int32 `json:"errcode"`
	ErrMsg string `json:"errcmsg"`
	Award *Award `json:"award"`
	SideEffect *SideEffect `json:"side_effect"`
}

type AwardItem struct {
	ItemId int32 `json:"item_id"`
	ItemNum int32 `json:"item_num"`
}

type Award struct {
	Items []*AwardItem `json:"items"`
}

type SideEffect struct {
	User *User `json:"user_info"`
	Effects []string `json:"effects"`
}

func (this *Award) getById(itemId int32) *AwardItem {
	for _, val := range this.Items {
		if val.ItemId == itemId {
			return val
		}
	}
	return nil
}

func (this *Award) AddItem(itemId int32, itemNum int32) {
	p := this.getById(itemId)
	if p == nil {
		p = new(AwardItem)
		p.ItemId = itemId
		p.ItemNum = itemNum
	} else {
		p.ItemNum += itemNum
	}
	q5.AppendSlice(&this.Items, p)
}

func (this *BaseVo) GetOrCreateAward() *Award {
	if this.Award == nil {
		this.Award = new(Award)
	}
	return this.Award
}

func (this *BaseVo) GetOrCreateSideEffect() *SideEffect {
	if this.SideEffect == nil {
		this.SideEffect = new(SideEffect)
	}
	return this.SideEffect
}

func (this *SideEffect) GetOrCreateUser() *User {
	if this.User == nil {
		this.User = new(User)
	}
	return this.User
}
